petsc-3.4.2 2013-07-02

# PetscLogGetStageLog

This function returns the default stage logging object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogGetStageLog(PetscStageLog *stageLog)

Not collective

### Output Parameter

stageLog -The default PetscStageLog

Developer Notes: Inline since called for EACH PetscEventLogBeginDefault() and PetscEventLogEndDefault()

### Keywords

log, stage

### See Also

PetscStageLogCreate()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex52_integrateElement_coef.cu.html
src/snes/examples/tutorials/ex52_integrateElement.cu.html